DerPaul - 2020-03-22

Hallo,

bis vorhin hat alles ganz normal geklappt und funktioniert. Dann habe ich eine Programmänderung gemacht, welche mit einem Compilererror abgebrochen ist, seit dem kann ich nichts mehr auf die Steuerung laden.

Wenn ich mich versuche einzuloggen, sagt der erst, dass die Applikation nicht auf dem Gerät existiert (vorher war aber ein Programm drauf, welches auch gelaufen hat).

Dann bleibt der im "Sende Downloadinformationen" hängen und bricht dann mit Netzwerkfehler ab.

Ich komme aber ganz normal über Putty noch drauf.
Auch in Codesys sehe ich alle Infos und auch der Dateitransfer funktioniert - und habe die Lizenzen gesichert.

Werksreset habe ich auch versucht, aber in dem Schritt:

Nach den ersten 1  8 Sekunden bootet der Controller neu (alle LEDs leuchten
orange) und nach weiteren 3 Sekunden beginnt der Factory-Reset-Vorgang. Er
wird durch ein aufeinander folgendes rotes Aufleuchten aller LEDs signalisiert.

passiert nichts mehr. Die System LED blinkt nur noch Grün und Rot abwechselnd (innerhalb 1s). Nach einem Neustart hat ändert sich nichts - alles beim alten.

Wenn ich ein PFC200 Update versuche kommt folgendes:

[INFORMATION]   Befehl SSH auf root@192.168.1.17 ausführen: Laufzeitsystem stoppen
[INFORMATION]   Standardausgabe: df: invalid option -- 'T' BusyBox v1.20.2 (2016-02-16 01:54:16 UTC) multi-call binary. Usage: df [-Pkmh] [FILESYSTEM]... Print filesystem usage statistics     -P  POSIX output format     -k  1024-byte blocks (default)  -m  1M-byte blocks  -h  Human readable (e.g. 1K 243M 2G) 
[INFORMATION]   Befehl SSH auf root@192.168.1.17 ausführen: Package: Bestehende CFG-Datei speichern
[INFORMATION]   Befehl SSH auf root@192.168.1.17 ausführen: Package: Altes entfernen
[INFORMATION]   Befehl SCP auf root@192.168.1.17 ausführen: Package: Neues Laufzeitsystem übertragen
[FEHLER]        Erwarteter Exitwert des Befehls fehlgeschlagen: Erwartet 0, empfangen -1
[INFORMATION]   Befehl SSH auf root@192.168.1.17 ausführen: Package: Neues Laufzeitsystem installlieren
[FEHLER]        Fehlerausgabe: ipkg: ***  Couldnt kill old gunzip process *** aborting 

Ich bräuchte da Hilfe!
Vielen Dank im Voraus!!!